Retrieve Payment
Base URL not set in the spec · operationId retrievePayment
Endpoint to retrieve a Payment by Id.
Authorization
BearerAuth Bearer token
Path parameters
id string requiredID of the Payment to retrieve
Responses
200 Successfully return the Payment found application/json
payment_id string amount string currency string payer_account string payee_id string status string metadata object created_at string (date-time) 404 Payment not found application/json
error_type string error_message string This request is in the Monato · Billpay Postman collection.Download collection
Request
curl -X GET "$BASE_URL/v1/payments/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
-H "Authorization: Bearer $TOKEN"const res = await fetch(`${BASE_URL}/v1/payments/497f6eca-6276-4993-bfeb-53cbbbba6f08`, {
method: "GET",
headers: {
"Authorization": `Bearer ${TOKEN}`,
},
});
const data = await res.json();import requests
res = requests.get(
f"{BASE_URL}/v1/payments/497f6eca-6276-4993-bfeb-53cbbbba6f08",
headers={
"Authorization": f"Bearer {TOKEN}",
},
)
data = res.json()Response
{
"payment_id": "429ee7cb-6eee-4fd2-8bb3-ad22f7f3c88e",
"amount": "373.0",
"currency": "MXN",
"payer_account": "055810100345",
"payee_id": "0d93acf6-b63d-46e8-aa5f-6f2520462608",
"status": "completed",
"metadata": {},
"created_at": "2024-04-10T20:12:52.356Z"
}{
"error_type": "INTERNAL_ERROR",
"error_message": "There was an error while processing your request"
}